Система мониторинга уровня предприятия. Обновление Zabbix 1.8.2

В прошлый раз мы ставили Zabbix 1.8.1, теперь пришло время обновить стабильную версию Zabbix до 1.8.2. В бекпортах Lenny версии 1.8.2 нет, придется ставить из исходнииков unstable (sid)

1. Добавьте источник для sid:
echo "deb-src http://mirror.yandex.ru/debian/ unstable main contrib non-free" >> /etc/apt/sources.list

2. Если у вас уже стоит версия 1.8.1, то часть зависимостей для сборки придется взять из lenny-backports (если это новая установка, то переходите к следующему шагу 3):

aptitude install -t lenny-backports libpq-dev g++-4.3 libstdc++6-4.3-dev
3. Ставим зависимости:
aptitude install debhelper libsnmp9-dev libmysqlclient15-dev dpatch automake1.9 po-debconf libpq-dev libcurl4-gnutls-dev libldap2-dev libiksemel-dev libopenipmi-dev gcc

4. Если вы обновлятесь, то пропустите этот шаг. В противном случае поставьте зависимости для заббикс

aptitude install mysql-server apache2 php5 php5-mysql php5-gd dbconfig-common fping
5. Скачайте исходники Zabbix в /tmp (или куда больше нравится)
cd /tmp
apt-get source zabbix

6. Соберите Заббикс
cd /zabbix-1.8.2
dpkg-buildpackage

7. Установите нужные вам пакеты. Если это рядовой сервер и СУБД — MySQL, то:
cd ..
dpkg -i zabbix-agent_1.8.2-1_i386.deb
dpkg -i zabbix-frontend-php_1.8.2-1_all.deb
dpkg -i zabbix-server-mysql_1.8.2-1_i386.deb

8. Идите в веб-интерфейс и изучайте результат:
http://your-zabbix-server/zabbix

9. в /etc/php5/apache2/php.ini отредактируйте параметр max_input_time. Теперь заббиксу хочется 300
max_input_time = 300

Добавить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *